import axios from "../../utils/axios";

export function filterCompanyUpdateLog(query) {
    return axios(
        {
            url: "/sale/info/company/update/log/filter",
            method: "get",
            params: query
        }
    )
}

export function getCompanyUpdateLog(query) {
    return axios(
        {
            url: "/sale/info/companyUpdateLog",
            method: "get",
            params: query
        }
    );
}

export function getCompanyUpdateLogOne(query) {
    return axios(
        {
            url: "/sale/info/getCompanyUpdateLogOne",
            method: "get",
            params: query
        }
    );
}

export function addCompanyUpdateLog(query) {
    return axios(
        {
            url: "/sale/info/addCompanyUpdateLog",
            method: "post",
            data: query
        }
    );
}

export function applyUpdate(query) {
    return axios(
        {
            url: "/sale/info/applyUpdate",
            method: "post",
            data: query
        }
    );
}

export function applyUpdateManage(query) {
    return axios(
        {
            url: "/sale/info/applyUpdateManage",
            method: "post",
            data: query
        }
    );
}

export function insertCompanyUpdateLog(query) {
    return axios(
        {
            url: "/sale/info/insertCompanyUpdateLog",
            method: "post",
            data: query
        }
    );
}

export function updateCompanyUpdateLog(query) {
    return axios(
        {
            url: "/sale/info/updateCompanyUpdateLog",
            method: "post",
            data: query
        }
    );
}

export function deleteCompanyUpdateLog(query) {
    return axios(
        {
            url: "/sale/info/deleteCompanyUpdateLog",
            method: "post",
            data: query
        }
    );
}






